/********************************************************************\
 * duigtktop.h -- top level gtk anchor point                        *
 * Copyright (C) 2002,2004 Linas Vepstas <linas@linas.org>          *
 * http://dwi.sourceforge.net                                       *
 *                                                                  *
 * This library is free software; you can redistribute it and/or    *
 * modify it under the terms of the GNU Lesser General Public       *
 * License as published by the Free Software Foundation; either     *
 * version 2.1 of the License, or (at your option) any later version.
 *                                                                  *
 * This library is distributed in the hope that it will be useful,  *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *
 * GNU Lesser General Public License for more details.              *
 *                                                                  *
 * You should have received a copy of the GNU Lesser General Public *
 * License along with this program; if not, contact:                *
 *                                                                  *
 * Free Software Foundation           Voice:  +1-617-542-5942       *
 * 59 Temple Place - Suite 330        Fax:    +1-617-542-2652       *
 * Boston, MA  02111-1307,  USA       gnu@gnu.org                   *
\********************************************************************/

#ifndef DUI_GTK_TOP_H
#define DUI_GTK_TOP_H

#include "interface.h"

typedef struct DuiGtkTop_s DuiGtkTop;
typedef struct DuiSignal_s DuiSignal;
typedef struct DuiWindow_s DuiWindow;

/** Create a new top-level structure to hold top-level stuff */
DuiGtkTop * dui_gtk_top_new (void);
void dui_gtk_top_destroy (DuiGtkTop *top);

/** The top leve holds a list of windows that can be retreived. */
void dui_gtk_top_add_window (DuiGtkTop *top, DuiWindow *win);
DuiWindow * dui_gtk_top_find_window_by_name (DuiGtkTop *top, const char * name);

/** Create a plugin that is needed to get the gtk widgets
 * realized at the right time.
 */
DuiInterfacePlugin * dui_gtk_top_plugin_new (DuiGtkTop *top);

#endif /* DUI_GTK_TOP_H */
